Bug 24134 - Error when trying to make bzImage compiling a new kernel
Error when trying to make bzImage compiling a new kernel
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-16 16:00 EST by Need Real Name
Modified: 2007-04-18 12:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-16 18:11:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-01-16 16:00:05 EST
This is when doing a make bzImage

gcc -D__KERNEL__ -I/usr/src/linux-2.4.0/include -Wall -Wstrict-prototypes
-O2 -fomit-frame-pointer -fno-strict-aliasing -pipe
-mpreferred-stack-boundary=2 -march=i686    -c -o consolemap_deftbl.o
consolemap_deftbl.c
gcc -D__KERNEL__ -I/usr/src/linux-2.4.0/include -Wall -Wstrict-prototypes
-O2 -fomit-frame-pointer -fno-strict-aliasing -pipe
-mpreferred-stack-boundary=2 -march=i686    -DEXPORT_SYMTAB -c console.c
console.c: In function `vc_allocate':
console.c:678: Internal error: Segmentation fault.
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make[3]: *** [console.o] Error 2
make[3]: Leaving directory `/usr/src/linux-2.4.0/drivers/char'
make[2]: *** [first_rule] Error 2
make[2]: Leaving directory `/usr/src/linux-2.4.0/drivers/char'
make[1]: *** [_subdir_char] Error 2
make[1]: Leaving directory `/usr/src/linux-2.4.0/drivers'
make: *** [_dir_drivers] Error 2
[root@firestarter linux-2.4.0]#
Comment 1 Jakub Jelinek 2001-01-16 18:11:52 EST
Is this reproduceable?
If yes, can you rerun
gcc -D__KERNEL__ -I/usr/src/linux-2.4.0/include -Wall -Wstrict-prototypes
-O2 -fomit-frame-pointer -fno-strict-aliasing -save-temps -v
-mpreferred-stack-boundary=2 -march=i686    -DEXPORT_SYMTAB -c console.c
(note the -save-temps -v) and attach here console.i?
Comment 2 Jakub Jelinek 2001-02-23 07:57:47 EST
No feedback.

Note You need to log in before you can comment on or make changes to this bug.